---
# Don't forget to keep this file updated
# molecule/<scenario>/verify.yml
- name: "Verify"
  hosts: "cicd-debian-12"
  gather_facts: false
  tasks:

    - name: "Get Docker service current state"
      register: "install_docker__service_status"
      failed_when: "not install_docker__service_status.status.ActiveState == 'active'"
      ansible.builtin.systemd:
        name: "docker"

    - name: "Check docker-compose command response"
      register: "output"
      changed_when: "output.rc != 0"
      failed_when: "output.rc != 0"
      ansible.builtin.command: "docker -v"

    - name: "Check docker-compose command response"
      register: "output"
      changed_when: "output.rc != 0"
      failed_when: "output.rc != 0"
      ansible.builtin.command: "docker-compose -v"
